import { EventEmitter2 } from 'eventemitter2';
import PhotoSwipe from 'photoswipe';
import PhotoSwipeUI from 'photoswipe/dist/photoswipe-ui-default';
import { EditorInterface, NodeInterface } from '@aomao/engine';
import { PswpInterface } from '@/types';
import 'photoswipe/dist/photoswipe.css';
import './index.css';
declare class Pswp extends EventEmitter2 implements PswpInterface {
    private editor;
    private options;
    private timeouts;
    private pswpUI?;
    private zoom?;
    private isDestroy;
    private zoomUI;
    root: NodeInterface;
    barUI: NodeInterface;
    closeUI: NodeInterface;
    constructor(editor: EditorInterface, options?: PhotoSwipeUI.Options);
    renderTemplate(): NodeInterface;
    hoverControllerFadeInAndOut(): void;
    removeFadeOut(node: NodeInterface, id: string): void;
    fadeOut(node: NodeInterface, id: string): void;
    bindClickEvent(): void;
    prev(): void;
    next(): void;
    renderCounter(): void;
    getCurrentZoomLevel(): number;
    zoomTo(zoom: number): void;
    zoomIn(): void;
    zoomOut(): void;
    bindKeyboardEvnet(): void;
    zoomToOriginSize(): void;
    zoomToBestSize(): void;
    updateCursor(): void;
    getInitialZoomLevel(): number;
    afterZoom(): void;
    getCount(): number;
    afterChange(): void;
    bindPswpEvent(): void;
    setWhiteBackground(): void;
    open(items: Array<PhotoSwipe.Item>, index: number): void;
    close(): void;
    destroy(): void;
}
export default Pswp;
