import { NodeInterface, EventListener } from '@aomao/engine';
import './index.css';
export declare type Options = {
    src: string;
    width: number;
    height: number;
    maxWidth: number;
    rate: number;
    onChange?: (size: Size) => void;
};
export declare type Position = 'right-top' | 'left-top' | 'right-bottom' | 'left-bottom';
export declare type Point = {
    x: number;
    y: number;
};
export declare type Size = {
    width: number;
    height: number;
};
declare class Resizer {
    private options;
    private root;
    private image;
    private resizerNumber;
    private point;
    private position?;
    private size;
    maxWidth: number;
    /**
     * 是否改变大小中
     */
    private resizing;
    constructor(options: Options);
    renderTemplate(src: string): string;
    onMouseDown(event: MouseEvent, position: Position): void;
    onMouseMove: (event: MouseEvent) => void;
    onMouseUp: (event: MouseEvent) => void;
    updateSize(width: number, height: number): void;
    setSize(width: number, height: number): void;
    on(eventType: string, listener: EventListener): void;
    off(eventType: string, listener: EventListener): void;
    render(): NodeInterface;
    destroy(): void;
}
export default Resizer;
